Subject: Re: [net-next-2.6 V5 PATCH 0/3] Add port-profile netlink support

From: Arnd Bergmann <[email-masked]>
Date: Thu, 6 May 2010 15:51:35 +0200

On Thursday 06 May 2010, Scott Feldman wrote:
> The intent of this patch set is to cover both definitions of port-profile
> as defined by Cisco's enic use and as defined by VSI discover protocol (VDP),
> used in VEPA implemenations.  While both definitions are based on pre-
> standards, the concept of a port-profile to be applied to an external switch
> port on behalf of a virtual machine interface is common, as well as many
> of the fields defining the protocols.

The description no either no longer matches the patches, or you did not make the
changes that were needed based on our last discussion.

What happened to the base-device argument that you were planning to pass?

The fields that I mentioned are needed for VDP (associate/pre-associate/disassociate-flag,
VLAN ID, etc) are not there. I assume that means we should use a different
data structure for VDP, but then your description above should be updated
to state that this is no longer common for the two.

I'll follow up with a draft for VDP based on your definitions.

	Arnd